import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import messages from '@/locale/index'
//import './permission' // permission
// import axios from "axios";
import uView from '@/uni_modules/uview-ui'
import './uni.promisify.adaptor'
import compareVersions from 'compare-versions'

Vue.use(uView)
// Vue.prototype.axios = axios;
Vue.use(plugins)
let i18nConfig = {
  locale: uni.getLocale(),
  messages
}
import VueI18n from 'vue-i18n'
Vue.use(VueI18n)
const i18n = new VueI18n(i18nConfig)
Vue.config.productionTip = false
Vue.prototype.$store = store

App.mpType = 'app'

const app = new Vue({
	i18n,
  ...App
})

app.$mount()
